Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.command
Class GetProcessDefinitionCommand

    java.lang.Object
      org.jbpm.command.AbstractGetObjectBaseCommand
          org.jbpm.command.GetProcessDefinitionCommand

All Implemented Interfaces:
  java.io.Serializable, Command

    public class GetProcessDefinitionCommand

extends AbstractGetObjectBaseCommand

This Command return the process definition

Author:
  Bernd Ruecker (bernd.ruecker@camunda.com)
See Also:
  Serialized Form

Constructor Summary
`GetProcessDefinitionCommand()`
`GetProcessDefinitionCommand(java.lang.String name)`
`GetProcessDefinitionCommand(java.lang.String name, int version)`

Method Summary
`java.lang.Object` | `execute(JbpmContext jbpmContext)`
`protected java.lang.String` | `getName()`
`protected int` | `getVersion()`
`protected void` | `setName(java.lang.String name)`
`protected void` | `setVersion(int version)`

Methods inherited from class org.jbpm.command.AbstractGetObjectBaseCommand
`getJbpmContext, getVariablesToInclude, isIncludeAllVariables, retrieveNode, retrieveProcessDefinition, retrieveProcessInstance, retrieveTaskInstanceDetails, retrieveToken, retrieveVariables, retrieveVariables, setIncludeAllVariables, setJbpmContext, setVariablesToInclude, setVariablesToInclude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetProcessDefinitionCommand

    public GetProcessDefinitionCommand()

### GetProcessDefinitionCommand

    public GetProcessDefinitionCommand(java.lang.String name)

### GetProcessDefinitionCommand

    public GetProcessDefinitionCommand(java.lang.String name,
                                       int version)

Method Detail

### execute

    public java.lang.Object execute(JbpmContext jbpmContext)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getName

    protected java.lang.String getName()

### setName

    protected void setName(java.lang.String name)

### getVersion

    protected int getVersion()

### setVersion

    protected void setVersion(int version)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD